net.corda.node.services.api

## Class MonitoringService

- SingletonSerializeAsToken
- - net.corda.node.services.api.MonitoringService

- All Implemented Interfaces:
    SerializeAsToken

      public class MonitoringService
      extends SingletonSerializeAsToken

  Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitoringService(com.codahale.metrics.MetricRegistry metrics)` Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.codahale.metrics.MetricRegistry` | `getMetrics()`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Constructor Detail

    - #### MonitoringService

          public MonitoringService(com.codahale.metrics.MetricRegistry metrics)

      Provides access to various metrics and ways to notify monitoring services of things, for sysadmin purposes. This is not an interface because it is too lightweight to bother mocking out.

  - ### Method Detail

    - #### getMetrics

          public com.codahale.metrics.MetricRegistry getMetrics()